Loading...
Searching...
No Matches
_MagickMemoryMethods Struct Reference

## Data Fields

AcquireMemoryHandler | acquire_memory_handler
ResizeMemoryHandler | resize_memory_handler
DestroyMemoryHandler | destroy_memory_handler
AcquireAlignedMemoryHandler | acquire_aligned_memory_handler
RelinquishAlignedMemoryHandler | relinquish_aligned_memory_handler

## Detailed Description

Definition at line 145 of file memory.c.

## Field Documentation

## acquire_aligned_memory_handler

AcquireAlignedMemoryHandler _MagickMemoryMethods::acquire_aligned_memory_handler

Definition at line 157 of file memory.c.

## acquire_memory_handler

AcquireMemoryHandler _MagickMemoryMethods::acquire_memory_handler

Definition at line 148 of file memory.c.

## destroy_memory_handler

DestroyMemoryHandler _MagickMemoryMethods::destroy_memory_handler

Definition at line 154 of file memory.c.

## relinquish_aligned_memory_handler

RelinquishAlignedMemoryHandler _MagickMemoryMethods::relinquish_aligned_memory_handler

Definition at line 160 of file memory.c.

## resize_memory_handler

ResizeMemoryHandler _MagickMemoryMethods::resize_memory_handler

Definition at line 151 of file memory.c.

The documentation for this struct was generated from the following file:

- memory.c